package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SEBLMVLINKREL"
)
public class SEBLMVLINKREL {
   @XmlAttribute(
      name = "SRCMVLINK"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String srcmvlink;
   @XmlAttribute(
      name = "DESTMVLINK"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destmvlink;
   @XmlAttribute(
      name = "FIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String field;

   public String getSRCMVLINK() {
      return this.srcmvlink;
   }

   public void setSRCMVLINK(String value) {
      this.srcmvlink = value;
   }

   public String getDESTMVLINK() {
      return this.destmvlink;
   }

   public void setDESTMVLINK(String value) {
      this.destmvlink = value;
   }

   public String getFIELD() {
      return this.field;
   }

   public void setFIELD(String value) {
      this.field = value;
   }
}
